package com.lemon.pojo;

import java.util.Date;

/**
 * CREATE TABLE `test_record` (
 *   `id` bigint(20) NOT NULL COMMENT '主鍵id',
 *   `inquiry` varchar(255) DEFAULT NULL COMMENT '用户输入',
 *   `input_content` varchar(2000) DEFAULT NULL COMMENT '接口入参',
 *   `output_content` varchar(2000) DEFAULT NULL COMMENT '接口出参',
 *   `state` tinyint(4) DEFAULT NULL COMMENT '用例状态 0 未通过  1通过',
 *   `test_version` varchar(255) DEFAULT NULL COMMENT '测试版本',
 *   `create_time` datetime DEFAULT NULL COMMENT '创建时间',
 *   `update_time` datetime DEFAULT NULL COMMENT '更新时间',
 *   `is_delete` tinyint(4) DEFAULT NULL COMMENT '删除状态',
 *   PRIMARY KEY (`id`)
 * ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
 */

public class TestRecord {
    private Long id;
    private String inquiry;
    private String inputContent;
    private String outputContent;
    private Integer state;
    private String testVersion;
    private Date createTime;
    private Date updateTime;
    private Integer isDelete;
    private Integer caseId;
    private String caseDesc;
    private String expectContent;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getInquiry() {
        return inquiry;
    }

    public void setInquiry(String inquiry) {
        this.inquiry = inquiry;
    }

    public String getInputContent() {
        return inputContent;
    }

    public void setInputContent(String inputContent) {
        this.inputContent = inputContent;
    }

    public String getOutputContent() {
        return outputContent;
    }

    public void setOutputContent(String outputContent) {
        this.outputContent = outputContent;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getTestVersion() {
        return testVersion;
    }

    public void setTestVersion(String testVersion) {
        this.testVersion = testVersion;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

        public Integer getCaseId() {
        return caseId;
    }

    public void setCaseId(Integer caseId) {
        this.caseId = caseId;
    }

    public String getCaseDesc() {
        return caseDesc;
    }

    public void setCaseDesc(String caseDesc) {
        this.caseDesc = caseDesc;
    }

    public String getExpectContent() {
        return expectContent;
    }

    public void setExpectContent(String expectContent) {
        this.expectContent = expectContent;
    }
}
